---
title: Grouping
page_title: Grouping - AutoComplete - Kendo UI for Vue
description: "Group the data during input while using the Kendo UI AutoComplete wrapper for Vue."
slug: grouping_autocomplete
position: 5
---

# Grouping

Grouping allows you to display data items which are categorized by a specific model field.

For more information on the grouping functionality of the Data Source, refer to the article on the [`group`](https://docs.telerik.com/kendo-ui/api/javascript/data/datasource#configuration-group) configuration.

```html-preview
<div id="vueapp" class="vue-app">
    <kendo-datasource ref="datasource"
                      :type="'odata'"
                      :transport-read-url="'https://demos.telerik.com/kendo-ui/service/Northwind.svc/Customers'"
                      :group-field="'Country'">
    </kendo-datasource>
    <kendo-autocomplete :data-source-ref="'datasource'"
                        :data-text-field="'ContactName'"
                        :placeholder="'Choose a contact...'"
                        style="width:300px;">
    </kendo-autocomplete>
</div>
```
```js
Vue.use(DropdownsInstaller);
Vue.use(DataSourceInstaller);

new Vue({
    el: "#vueapp"
})
```

## Suggested Links

* [Kendo UI AutoComplete for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/autocomplete/overview)
* [API Reference of the AutoComplete Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/autocomplete)
