---
title: RTL Support
page_title: RTL Support - AutoComplete - Kendo UI for Vue
description: "Explore the RTL support offered by the Kendo UI AutoComplete wrapper for Vue."
slug: rtl_support_autocomplete
position: 9
---

# RTL Support

You can activate the right-to-left functionality by adding the `k-rtl` class to the container of the AutoComplete.

If you use a [Kendo UI LESS-based theme](https://docs.telerik.com/kendo-ui/styles-and-layout/appearance-styling), register the `kendo.rtl.[min].css` file too.

The following example demonstrates how to utilize the RTL support for the AutoComplete.

```html-preview
<div id="vueapp" class="vue-app">
    <div class="k-rtl">
        <kendo-autocomplete :data-source="dataSourceArray"
                            :placeholder="'Select country...'"
                            :separator="', '"
                            :filter="'startswith'">
        </kendo-autocomplete>
    </div>
</div>
```
```js
Vue.use(DropdownsInstaller);

new Vue({
    el: "#vueapp",
    data: function() {
        return {
            dataSourceArray: [
                'Albania',
                'Andorra',
                'Armenia',
                'Austria',
                'Azerbaijan',
                'Belarus',
                'Belgium',
                'Bosnia & Herzegovina',
                'Bulgaria',
                'Croatia',
                'Cyprus',
                'Czech Republic',
                'Denmark',
                'Estonia',
                'Finland',
                'France',
                'Georgia',
                'Germany',
                'Greece'
            ]
        }
    }
})
```

## Suggested Links

* [Kendo UI AutoComplete for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/autocomplete/overview)
* [API Reference of the AutoComplete Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/autocomplete)
